CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  GPS_RX_PIN    = 0             'Change to suit.

OBJ

  gp    : "gprmc_parse"
  sio   : "basic_sio"
  num   : "simple_numbers"

PUB start

  sio.start_explicit(-1, 30, 9600)
  gp.start(GPS_RX_PIN)
  repeat
    if (gp.capture)
      sio.str(gp.rmc_string)
      sio.out(13)
      sio.str(string("Latitude  (min x 10000): "))
      sio.str(num.decf(gp.lat_in_min_0000, 11))
      sio.str(string(" = "))
      sio.str(num.decf(gp.lat_degrees, 4))
      sio.out(176)
      sio.str(num.decx(||gp.lat_minutes, 2))
      sio.out(".")
      sio.str(num.decx(||gp.lat_fminutes, 4))
      sio.out("'")
      sio.out(13)
      sio.str(string("Longitude (min x 10000): "))
      sio.str(num.decf(gp.lon_in_min_0000, 11))
       sio.str(string(" = "))
      sio.str(num.decf(gp.lon_degrees, 4))
      sio.out(176)
      sio.str(num.decx(||gp.lon_minutes, 2))
      sio.out(".")
      sio.str(num.decx(||gp.lon_fminutes, 4))
      sio.str(string("'", 13, 13))
    else
      sio.str(string("No data.", 13, 13))
       